/**********************************************************************
* IMPORTANT:                                                          *
* In order to use this code should include it AFTER your code.        *
* Your code must define the weather URL (Ex: var wURL ) and a parsing *
* function (Ex: function parseData(data){} ) in your code.            *
***********************************************************************/


/********************************************
*********************************************
*  Before this will function you need to    *
*  create a parseData function in your .js  *
*  file and set the wURL you will use!      *
*********************************************
********************************************/

function getJSON() {
  // Get JSON data from weather underground and
  
  // hand it off to your bespoke function for 
  // processing.  
  $.get( wURL, function( data ) { // Using .get instead of .ajax as it has saner default vals
      console.log('working!')
      parseData(data);           // <-  This is your function.  You need to write it!
  }, "json" )
  
  .fail(function() {
    console.log( "Something went wrong with your request :(  Check that you\'re using the correct API key (your App ID)" );
  })
  
  .always(function() {
    console.log( "Finished getting JSON data" );
  });
}

// wait until the entire page has loaded
$(document).ready(function() {

  try{ wURL; }  // make sure the var is set
  catch(e) {
    if(e.name == "ReferenceError") {
      console.log( "You did not set a value for the weather URL (wURL) in your code!" );
      return;
    }
  }
  
  try{ parseData; }  // make sure the func exists
  catch(e) {
    if(e.name == "ReferenceError") {
      console.log( "You did not create \"function parseData(data) {}\" in your code!" );
      return;
    }
  }

  getJSON();
  
}); // document.ready
